Challenges and Opportunities in Green Networking
Alexander Clemm
Futurewei
2330 Central Expressway
Santa Clara,
USA
CA 95050
ludwig@clemm.org
Cedric Westphal
Futurewei
cedric.westphal@futurewei.com
Jeff Tantsura
Microsoft
jefftant.ietf@gmail.com
Laurent Ciavaglia
Rakuten Mobile
laurent.ciavaglia@rakuten.com
Marie-Paule Odini
mp.odini@orange.fr
11 July 2022
Reducing technology's carbon footprint is one of the big challenges of our age. Networks are an enabler of applications that reduce this footprint, but also contribute to this footprint substantially themselves. The biggest opportunities to reduce the energy footprint may not be networking specific, for instance general power efficiency gains in hardware or hosting of equipment in more cooling-efficient buildings. Yet methods to make networking technology itself "greener" also need to be explored. This document outlines a corresponding set of opportunities, along with associated research challenges, for reducing this footprint and reducing network energy demand.

Introduction
Climate change and the need to curb greenhouse emissions have been recognized by the United Nations and by most governments as one of the big challenges of our time. As a result, improving energy efficiency and reducing power consumption are becoming of increasing importance for society and for many industries. The networking industry is no exception.
Arguably, networks can already be considered "green" technology in that networks enable many applications that allow users and whole industries to save energy and become more sustainable in a significant way. For example, it allows (at least to an extent) to replace travel with teleconferencing; it enables many employees to work from home and "telecommute," thus reducing the need for actual commute; IoT applications that facilitate automated monitoring and control from remote sites help make agriculture more sustainable by minimizing the application of resources such as water and fertilizer; networked smart buildings allow for greater energy optimization and sparser use of lighting and HVAC (heating, ventilation, air conditioning) than their non-networked not-so-smart counterparts.
That said, networks themselves consume significant amounts of energy. Therefore, the networking industry has an important role to play in meeting sustainability goals not just by enabling others to reduce their reliance on energy, but by also reducing its own. Future networking advances will increasingly need to focus on becoming more energy-efficient and reducing carbon footprint, both for economic reasons and for reasons of corporate responsibility. This shift has already begun and sustainability is already becoming an important concern for network providers. In some cases such as in the context of networked data centers, the ability to procure enough energy becomes a bottleneck prohibiting further growth and greater sustainability thus becomes a business necessity.
For example, in its annual report, Telefónica reports that in 2020, its network's energy consumption per PB of data amounted to 78MWh [telefonica2020]. This rate has has been dramatically decreasing (a five-fold factor over five years) although gains in efficiency are being offset by simultaneous growth in data volume. In the same report, it is stated as an important corporate goal to continue on that trajectory and reduce overall carbon emissions by 70% over the next 5 years.
From a technical perspective, multiple vectors along which networks can be made "greener" should be considered:
- At the equipment level. Perhaps the most promising vector for improving networking sustainability concerns the network equipment itself. At the most fundamental level, networks (even softwarized ones) involve appliances, i.e. equipment that relies on electrical power to perform its function. However, beyond making those appliances merely energy-efficient, there are other important ways in which equipment can help networks become greener. This includes aspects such as support for port power saving modes allowing to reduce power consumption for resources that are not fully utilized, but also instrumentation that allows to precisely monitor power usage at different levels of granularity, enabling (for example) controllers applications that aim to optimize energy usage across the network. (As a side note, the term "device", as used in the context of this draft, is used to refer to networking equipment. We are not taking into consideration end-user devices and endpoints such as mobile phones or computing equipment.)
- At the protocol level. Energy-efficiency and greenness are aspects that are rarely considered when designing network protocols. This suggests that there may be plenty of untapped potential. Some aspects involve designing protocols in ways that reduce the need for redundant or wasteful transmission of data to allow not only for better network utilization, but greater goodput per unit of energy being consumed. Techniques include approaches that reduce the "header tax" incurred by payloads as well as methods resulting in the reduction of wasteful retransmissions. Likewise, aspects such as restructuring addresses in ways that allow to minimize the size of lookup tables and associated memory sizes and their energy use can play a role as well. Another role of protocols concerns the enabling of functionality to improve energy efficiency at the network level, such as discovery protocols that allow for quick adaptation to network components being taken dynamically into and out of service depending on network conditions.
- At the network level. Perhaps the greatest opportunities to realize power savings exist at the level of the network as whole. For example, optimizing energy efficiency may involve directing traffic in such a way that it allows for isolation of equipment that may at the moment not be needed so that it could be powered down or brought into power-saving mode. By the same token, traffic should be directed in a way that requires bringing additional equipment online or out of power-saving mode in cases where alternative traffic paths are available for which the incremental energy cost would amount to zero. Likewise, some networking devices may be more power-intensive than others whose use might be avoided unless required to meet peak capacity demands. Generally, incremental power consumption can be viewed as a cost metric that networks should strive to minimize and consider as part of routing and of network path optimization.
- At the architecture level. The current network architecture supports a wide range of applications, but does not take into account energy efficiency as one of its design parameters. One can argue that the most energy efficient shift of the last two decades has been the deployment of Content Delivery Network overlays: while these were set up to reduce latency and minimize bandwidth consumption, from a network perspective, retrieving the content from a local cache is also much greener. What other architectural shifts can produce energy consumption reduction?
We believe that network standardization organizations in general, and IETF in particular, can make important contributions to each of these vectors. In this document, we will there explore each of those vectors in further detail and for each point out specific challenges for IETF.
It should be noted that this document borrows heavily from material from a prior paper, [GreenNet22]. This material has been both expanded (for example, in terms of some of the opportunities) and pruned (for example, in terms of background on prior scholarly work). In addition, unlike the prior paper, this document focuses on and attempts to articulate specific challenges as related to work that could be championed by the IETF.

Definitions and Acronyms
TBD

Contributors to Network Energy Consumption
When exploring possibilities to improve energy efficiency, it is important to understand which aspects contribute to power consumption the most and hence where the greatest potential for power savings lies.
Power is ultimately drawn from devices. The power consumption of the device can be divided into the consumption of the core device - the backplane and CPU, if you will - as well as additional consumption incurred per port and line card. Furthermore it is important to understand the difference between power consumption when a resource is idling versus when it is under load. This helps to understand the incremental cost of additional transmission versus the initial cost of transmission.
In typical networking devices, only roughly half of the energy consumption is associated with the data plane [bolla2011energy]. An idle base system typically consumes more than half of the power over the same system running at full load [chabarek08], [cervero19]. This means that a device's power consumption increases not linearly with the volume of forwarded traffic but resembles more of a step function. Generally, the cost of the first bit is very high, as it requires powering up a device, port, etc. The cost of transmission of additional bits (beyond the first) is many orders of magnitude lower. Likewise, the incremental cost of incremental CPU and memory needed to process additional packets becomes fairly negligible. By the same token, generally speaking it is more energy-efficient to transmit a large volume of data in one burst (and turning off the interface when idling), instead of continuously transmitting at a lower rate. In that sense it can be the duration of the transmission that dominates the energy consumption, not the actual data rate.
The implications on green networking from an energy-savings standpoint are significant: Potentially the largest gains can be made when network resources can effectively be taken off the grid (i.e. isolated and removed from service so they can be powered down while not needed). Likewise, for applications where this is possible, it may be desirable to replace continuous traffic at low data rates with traffic that is sent in burst at high data rates, in order to potentially maximize the time during which resources can be idled.
At the same time, any non-idle resources should be utilized to the greatest extent possible as the incremental energy cost is negligible. Of course, this needs to occur while still taking other operational goals into consideration, such as protection against failures (allowing for readily-available redundancy and spare capacity in case of failure) and load balancing (for increased operational robustness). As data transmission needs tend to fluctuate wildly and occur in bursts, any optimization schemes need to be highly adaptable and allow for very short control loops.
As a result, emphasis needs to be given to technology that allows to (for example) (at the device level) exercise very efficient and rapid discovery, monitoring, and control of networking resources so that they can be dynamically be taken offline or back into service, without (at the network level) requiring extensive convergence of state across the network or recalculation of routes and other optimization problems, and (at the network equipment level) support rapid power cycle and initialization schemes.

Challenges and Opportunities - Equipment Level
Perhaps the most obvious opportunities to make networking technology more energy efficient exist at the equipment level. After all, networking involves physical equipment to receive and transmit data. Making such equipment more power efficient, have it dissipate less heat to consume less energy and reduce the need for cooling, making it eco-friendly to deploy, sourcing sustainable materials and facilitating recycling of equipment at the end of its life-cycle all contribute to making networks greener. More specific and unique to networking are schemes to reduce energy usage of transmission technology from wireless (antennas) to optical (lasers).
Beyond such "first-order" opportunities, network equipment just as importantly plays an important role to enable and support green networking at other levels. Of prime importance is the equipment's ability to provide visibility to management and control plane into its current energy usage. Such visibility enables control loops for energy optimization schemes, allowing applications to obtain feedback regarding the energy implications of their actions, from setting up paths across the network that require the least incremental amount of energy to quantifying metrics related to energy cost used to optimize forwarding decisions.
One prerequisite to such schemes is to have proper instrumentation in place that allows to monitor current power consumption at the level of networking devices as a whole, line cards, and individual ports. Such instrumentation should also allow to assess the energy efficiency and carbon footprint of the device as a whole. In addition, it would be desirable to relate this power consumption to data rates as well as to current traffic, for example, to indicate current energy consumption relative to interface speeds, as well as for incremental energy consumption that is expected for incremental traffic (to aid control schemes that aim to "shave" power off current services or to minimize the incremental use of power for additional traffic). This is an area where the current state of the art is sorely lacking and standardization lags behind; for example, as of today, no corresponding standardized YANG data models [RFC7950] for network energy consumption that can be used in conjunction with management and control protocols have been defined.
Instrumentation should also take into account the possibility of virtualization, introducing layers of indirection to assess the actual energy usage. For example, virtualized networking functions could be hosted on containers or virtual machines which are hosted on a CPU in a data center instead of a regular network appliance such as a router or a switch, leading to very different power consumption characteristics. For example, a data center CPU could be more power efficient and consume power more proportionally to actual CPU load. Instrumentation needs to reflect these facts and facilitate attributing power consumption in a correct manner.
Beyond monitoring and providing visibility into power consumption, control knobs are needed to configure energy saving policies. For instance, power saving modes are common in endpoints (such as mobile phones or notebook computers) but sorely lacking in networking equipment.

Challenges and Opportunities - Protocol Level
There are several opportunities for energy savings at the protocol level. We characterize them along three main categories: protocols designed to reduce the volume of data to be transmitted; protocols designed to optimize data transmission rates under energy considerations; and protocols that enable energy optimization schemes at the network level. A fourth category, "other", is used to capture any other aspects not easily categorized into the other three.

Data Volume Reduction
The first category involves designing protocols in such a way that they reduce the volume of data that needs to be transmitted for any given purpose. Loosely speaking, by reducing this volume, more traffic can be served by the same amount of networking infrastructure, hence reducing overall energy consumption. Possibilities here include protocols that avoid unnecessary retransmissions. At the application layer, protocols may also use coding mechanisms that encode information close to the Shannon limit. Currently, most of the traffic over the Internet consists of video streaming and encoders for video are already quite efficient and keep improving all the time, resulting in energy savings as one of many advantages (of course being offset by increasingly higher resolution). However, it is not clear that the extra work to achieve higher compression ratios for the payloads results in a net energy gain: what is saved over the network may be offset by the compression/decompression effort. Further research on this aspect is necessary.
At the transport protocol layer, TCP and to some extent QUIC react to congestion by dropping packets. This is a highly energy inefficient method to signal congestion, since the network has to wait one RTT to be aware that the congestion has occurred, and since the effort to transmit the packet from the source up until it is dropped ends up being wasted. This calls for new transport protocols that react to congestion without dropping packets. ECN[RFC2481] is a possible solution, however not widely deployed. DC-TCP [alizadeh2010DCTCP] is tuned for the Data Center. Qualitative Communication [QUAL] [westphal2021qualitative] allows the nodes to react to congestion by dropping only some of the data in the packet, thereby only partially wasting the resource consumed by transmitted the packet up to this point. We believe there is a need for novel transport protocols for the WAN that ensures that no energy is wasted transmitting packets that will be eventually dropped.
Another solution to reduce the bandwidth of network protocols by reducing their header tax, for example applying header compression. An example in IETF is [RFC3095]. Again, reducing protocol header size saves energy to forward packets, but at the cost of maintaining a state for compression/decompression, plus computing these operations. The gain from such protocol optimization further depends on the application and whether it sends packets with large payloads close to the MTU (the header tax and any savings here are very limited), or whether it sends packets with very small payload size (making the header tax more pronounced and savings more significant).
An alternative to reducing the amount of protocol data is to design routing protocols that are more efficient to process at each node. For instance, path based forwarding/labels such as MPLS [RFC3031] facilitate the next hop look-up, thereby reducing the energy consumption. It is unclear if some state at router to speed up look up is more energy efficient that "no state + lookup" that is more computationally intensive. Other methods to speed up a next-hop lookup include geographic routing (e.g. [herzen2011PIE]). Some network protocols could be designed to reduce the next hop look-up computation at a router. It is unclear if Longest Prefix Match (LPM) is inefficient from an energy point of view, or if it is a significant energy budget cost for the operation of a router.

Traffic Adaptation
The second category involves designing protocols in such a way that the rate of transmission is chosen to maximize energy efficiency. For example, Traffic Engineering (TE) can be manipulated to impact the rate adaptation mechanism [ren2018jordan]. By choosing where to send the traffic, TE can artificially congest links so as to trigger rate adaptation and therefore reduce the total amount of traffic. Most TE systems attempt to minimize Maximal Link Utilization (MLU) but energy saving mechanisms could decide to do the opposite (maximize minimial link utilization) and attempt to turn off some resources to save power.

Enabling Network Energy Saving Mechanisms
Novel protocols are also needed in two dimensions: to discover what links are available and/or energy efficient. For instance, links may be turned off in order to save energy, and turned back on based upon the elasticity of the demand. Protocols should be devised to discover when this happens, and to have a view of the topology that is consistent with frequent topology updates due to power cycling of the network resources.
Also, protocols are required to quickly converge onto an energy-efficient path once a new topology is created by turning links on/off. Current routing protocols may provide for fast recovery in the case of failure. However, failures are hopefully relatively rare events, while we expect an energy efficient network to aggressively try to turn off links.
Some mechanism is needed to present to the management layer a view of the network that identifies opportunities to turn resources off (routers/links) while still providing some decent level of Quality of Experience (QoE) to the users. This gets more complex as the level of QoE shifts from the current Best Effort delivery model to more sophisticated mechanisms with, for instance, latency, bandwidth or reliability guarantees.

Network Addressing
There are other ways to shave off energy usage from networks. One example concerns network addressing. Address tables can get very large, resulting in large forwarding tables that require considerable amount of memory, in addition to large amounts of state needing to be maintained and synchronized. From an energy footprint perspective, both can be considered wasteful and offer opportunities for improvement. At the protocol level, rethinking how addresses are structured can allow for flexible addressing schemes that can be exploited in network deployments that are less energy-intensive by design. This can be complemented by supporting clever address allocation schemes that minimize the number of required forwarding entries as part of deployments.

Challenges and Opportunities - Network Level
Networks have been optimized for many years under many criteria, for example to optimize (maximize) network utilization and to optimize (minimize) cost. Hence, it is straighforward to add optimization for "greenness" (including energy efficiency, power consumption, carbon footprint) as important criteria.
This includes assessing the carbon footprints of paths and optimizing those paths so that overall footprint is minimized, then applying techniques such as path-aware networking or segment routing [RFC8402] to steer traffic along those paths. It also includes aspects such as considering the incremental energy usage in routing decisions. Optimizing cost has a long tradition in networking; many of the existing mechanisms can be leveraged for greener networking simply by introducing energy footprint as a cost factor. Low-hanging fruit include the inclusion of energy-related parameters as a cost parameter in control planes, whether distributed (e.g. IGP) or conceptually centralized via SDN controllers.
Other opportunities concern adding energy-awareness to dynamic path selection schemes, requiring corresponding instrumentation as mentioned earlier. Again, considerable energy savings can potentially be realized by taking resources offline (e.g. putting them into power-saving or hibernation mode) when they are not currently needed under current network demand and load conditions. Therefore, weaning such resources from traffic becomes an important consideration for energy-efficient traffic steering. This contrasts and indeed conflicts with existing schemes that typically aim to create redundancy and load-balance traffic across a network to achieve even resource utilization. This usually occurs for important reasons, such as making networks more resilient, optimizing service levels, and increasing fairness. One of the big challenges hence concerns how resource weaning schemes to realize energy savings can be accommodated while preventing the cannibalization of other important goals, counteracting other established mechanisms, and avoiding destabilization of the network.
As an important prerequisite to capture many of those opportunities, good abstractions (and corresponding instrumentation) that allow to easily assess energy cost and carbon footprint will be required. These abstractions need to account for not only for the energy cost associated with packet forwarding across a given path, but related cost for processing, for memory, for maintaining of state, to result in a holistic picture. Optimization of carbon footprint involves in many cases trade-offs that involve not only packet forwarding but also aspects such as keeping state, caching data, or running computations at the edge instead of elsewhere. (Note: there may be a differential in running a computation at an edge server vs. at an hyperscale DC. The latter is often better optimized than the latter.) Likewise, other aspects of carbon footprint beyond mere energy-intensity should be considered. For instance, some network segments may be powered by more sustainable energy sources than others, and some network equipment may be more environmentally-friendly to build, deploy and recycle, all of which can be reflected in abstractions to consider.
A related set of challenges concerns the fact that such schemes result in much greater dynamicity and continuous change in the network as resources may be getting steered away from (when possible) and then leveraged again (when necessary) in rapid succession. This imposes significant stress on convergence schemes that results in challenges to the scalability of solutions and their ability to perform in a fast-enough manner. Network-wide convergence imposes high cost and incurs significant delay and is hence not susceptible to such schemes. The impact will in all likelihood needs to be mechanisms that do not require convergence beyond the vicinity of the affected network device. Especially in cases where central network controllers are involved that are responsible for aspects such as configuration of paths and the positioning of network functions and that aim for global optimization, the impact of churn needs to be minimized. This means that, for example, extensive recalculation e.g. of routes and paths based on the current energy state of the network needs to be avoided.
An opportunity may lie in making a distinction between "energy modes" of different domains. For instance, in a highly trafficked core, the energy challenge is to transmit the traffic efficiently. The amount of traffic is relatively fluid (due to multiplexing of multiple sessions) and the traffic is predictable. In this case, there is no need to optimize on a per session basis nor even at a short time scale. In the access networks connecting to that core, though, there are opportunites for this fast convergence: traffic is much more bursty, less predictable and the network should be able to be more reactive. Other domains such as DCs may have also more variable workloads and different traffic patterns.

Challenges and Opportunities - Architecture Level
Another possibility to improve network energy efficiency is to organize networks in a way that they can best serve important applications so as to minimize energy consumption. Examples include retrieval of content or remote computation. This allows to minimize the amount of communication that needs to take place in the first place, although energy savings within the network may at least in part be offset by additional energy consumption elsewhere. The following are some examples that suggest that it may be worthwhile reconsidering the ways in which networks are architected to minimize their carbon footprint.
For example, Content Delivery Networks (CDNs) have reduced the energy expenditure of the Internet by downloading content near the users. The content is sent only a few times over the WAN, and then is served locally. This shifts the energy consumption from networking to storage. Further methods can reduce the energy usage even more [bianco2016energy][mathew2011energy][islam2012evaluating]. Whether overall energy savings are net positive depends on the actual deployment, but from the network operator's perspective, at least it shifts the energy bill away from the network to the CDN operator.
While CDNs operate as an overlay, another architecture has been proposed to provide the CDN features directly in the network, namely Information Centric Networks [ahlgren2012survey], studied as well in the IRTF ICNRG. This however shifts the energy consumption back to the network operator and requires some power-hungy hardware, such as chips for larger name look-ups and memory for the in-network cache. As a result, it is unclear if there is an actual energy gain from the dissemination and retrieval of content within in-network caches.
Fog computing and placing intelligence at the edge are other architectural directions for reducing the amount of energy that is spent on packet forwarding and in the network. There again, the trade-off is between performing computation in a an energy-optimized data center at very large scale, but requiring transmission of significant volumes of data across many nodes and long distances, versus performing computational tasks at the edge where the energy may not be used as efficiently (less multiplexing of resources, and smaller sites are inherently less efficient due to their smaller scale) but the amount of long-distance network traffic is significantly reduced. Softwarization, containers, microservices are direct enablers for such architectures, and the deployment of programmable network infrastructure (as for instance Infrastructure Processing Units - IPUs or smartNICs that offload some computations from the CPU onto the NIC) will help its realization. However, the power consumption characteristics of CPUs are different from those of NPUs, another aspect to be considered in conjunction with virtualization.
Other possibilities concern taking economic aspects into consideration impact, such as providing incentives to users of networking services in order to minimize energy consumption and emission impact. An example for this is given in [wolf2014choicenet], which could be expanded to include energy incentives.
Other approaches consider performing a late binding of data and functions to be performed on the data [krol2017NFaaS]. The COIN Research Group in IRTF focuses on similar issues. Jointly optimizing for the total energy cost, taking into account networking and computing (and the different energy cost of computing in an hyperscale DC vs an edge node) is still an area of open research.
In summary, rethinking of the overall network (and networked application) architecture can be an opportunity to significantly reduce the energy cost at the network layer, for example by performing tasks that involve massive communications closer to the user. To what extend these shifts result in a net reduction of carbon footprint is an important question that requires further analysis on a case-by-case basis.

Conclusions
How to make networks "greener" and reduce their carbon footprint is an important problem for the networking industry to address, both for societal and for economic reasons. This document has highlighted some of the technical challenges and opportunities in that regard, for example:
- Equipment instrumentation advances for improved energy-awareness, definition and standardization of granular management information;
- Protocol advances for improving the ratio of goodput to throughput and to reduce waste: reduction in header tax, in protocol verbosity, improvements in coding, etc.
- Protocol advances to enable rapidly taking down, bring back online, and discover availability and power saving status of networking resources while minimizing the need for reconvergence and propagation of state;
- Network advances to allow to dynamically take resources offline where feasible while minimizing churn;
- Energy footprint aware traffic steering and routing; carbon footprint as a traffic cost metric to optimize;
- Reorganization of networking architecture for important classes of applications (examples: content delivery, right-placing of computational intelligence) to optimize green foot print and holistic approaches to trade off carbon footprint between forwarding, storage, and computation;
- Security issues imposed by greater energy awareness, to minimize the new attack surfaces that would allow an adversary to turn off resources, or to waste energy;
- Reliability issues for a network that relies on fewer resource diversity, and with more operational complexity.
Of those, perhaps the key challenge to address right away concerns the ability to expose at a fine granularity the energy impact of any networking actions. Providing visibility into this will enable many approaches to come towards a solution. It will be key to implementing optimization via control loops that allow to assess the energy impact of decisiont taken. It will also help to answer questions such as: is caching - with the associated storage energy - better than retransmitting from a different server - with the associated networking cost? Is compression more energy-efficient once factoring the computation cost of compression vs transmitting uncompressed data? Which compression scheme is more energy efficient? Is energy saving of computing at an efficient hyperscale DC compensated by the networking cost to reach that DC? Is the overhead of gathering and transmitting fine-grained energy telemetry data offset by the total energy gain by ways of better decisions that this data enables? Is transmitting data to a LEO constellation compensated by the fact that once in the constellation, the networking is fueled on solar energy? Is the energy cost of sending rockets to place routers in Low Earth Orbit amortized over time?
Determining where the sweet spots are and optimizing networks along those lines will be a key towards making networks "greener". We expect to see significant advances across these areas and believe that IETF has an important role to play in facilitating this.

IANA Considerations
This document does not have any IANA requests.

Security Considerations
Security considerations may appear to be orthogonal to green networking considerations. However, there are a number of important caveats.
Security vulnerabilities of networks may manifest themselves in compromised energy efficiency. For example, attackers could aim at increasing energy consumption in order to drive up attack victims' energy bill. Specific vulnerabilities will depend on the particular mechanisms. For example, in the case of monitoring energy consumption data, tampering with such data might result in compromised energy optimization control loops. Hence any mechanisms to instrument and monitor the network for such data need to be properly secured to ensure authenticity.
In some cases there are inherent tradeoffs between security and maximal energy efficiency that might otherwise be achieved. An example is encryption, which requires additional computation for encryption and decyption activities and security handshakes, in addition to the need to send more traffic than necessitated by the entropy of the actual data stream. Likewise, mechanisms that allow to turn resources on or off could become a target for attackers.

Acknowledgments
Acknowledgments will be added at a later stage.

Informative References (TBD)
[telefonica2020]

Consolidated Management Report 2020
Telefonica
2021
[GreenNet22]

Challenges and Opportunities in Green Networking
Alexander Clemm
Cedric Westphal
June 2022
1st International Workshop on Network Energy Efficiency in the Softwarization Era IEEE NetSoft 2022
[bolla2011energy]

Energy Efficiency in the Future Internet: A Survey of Existing Approaches and Trends in Energy-Aware Fixed Network Infrastructures
Raffaele Bolla
Roberto Bruschi
Franco Davoli
Flavio Cucchietti
2011
IEEE Communications Surveys and Tutorials Vol.13 No.2, pp.223-244
[chabarek08]

Power awareness in network design and routing
J. Chabarek
J. Sommers
P. Barford
D. Tsiang
S. Wright
2008
IEEE Infocom pp.457-465
[cervero19]

Green Wired Networks
Alfonso Gazo Cervero
Michele Chincoli
Lars Dittmann
Andreas Fischer
Alberto Garcia
2019
Wiley Journal on Large-Scale Distributed Systems and Energy Efficiency pp.41-80
[alizadeh2010DCTCP]

Data Center TCP (DCTCP)
Mohammad Alizadeh
Albert Greenberg
David Maltz
Jitendra Padhye
Parveen Patel
Balaji Prabhakar
Sudipta Sengupta
Murari Sridharan
2010
ACM SIGCOMM pp.63-74
[QUAL]

A framework for Qualitative Communications using Big Packet Protocol
Richard Li
Kiran Makhijani
Hamed Yousefi
Cedric Westphal
Lijun Xong
Tim Wauters
Filip De Turck
2019
Proceedings ACM Sigcomm Workshop On Networking For Emerging Applications And Technologies pp.22-28
[westphal2021qualitative]

Qualitative Communications for Augmented Reality and Virtual Reality
Cedric Westphal
Dongbiao He
Kiran Makhijani
Richard Li
2021
22nd IEEE International Conference on High Performance Switching and Routing (HPSR) pp.1-6
[herzen2011PIE]

Scalable routing easy as PIE: A practical isometric embedding protocol
Julien Herzen
Cedric Westphal
Patrick Thiran
2011
19th IEEE International Conference on Network Protocols (ICNP) pp.49-58
[ren2018jordan]

JORDAN: A Novel Traffic Engineering Algorithm for Dynamic Adaptive Streaming over HTTP
Jing Ren
Kejie Ren
Cedric Westphal
Jin Wang
Jinfan Wang
Tongyu Song
Sucheng Liu
Jianping Wang
2018
IEEE International Conference on Computing, Networking and Communications (ICNC) pp.581-587
[bianco2016energy]

Energy consumption for data distribution in content delivery networks
Andreas Bianco
Reza Mashayekhi
Michele Meo
2016
IEEE International Conference on Communications (ICC) pp.1-6
[mathew2011energy]

Energy-Aware Load Balancing in Content Delivery Networks
Vimal Mathew
Ramesh Sitaraman
Prashant Shenoy
2011
CoRR http://arxiv.org/abs/1109.5641
[islam2012evaluating]

Evaluating Energy Consumption in CDN Servers
Saif ul Islam
jean-Marc Pierson
2012
Proceedings of the Second International Conference on ICT as Key Technology against Global Warming pp.64-78
[ahlgren2012survey]

A survey of information-centric networking
Bengt Ahlgren
Christian Dannewitz
Claudio Imbrenda
Dirk Kutscher
Borje Ohlman
2012
IEEE Communications Magazine Vol.50 No.7
[wolf2014choicenet]

ChoiceNet: Toward an Economy Plane for the Internet
Wolf Tilman
James Griffioen
Lenneth Calvert
Rudra Dutta
George Rouskas
Ilya Baldin
Anna Nagurney
July 2014
SIGCOMM Computer Communciations Review Vol.44 No.3
[krol2017NFaaS]

NFaaS: Named Function as a Service
Michal Krol
Ioannis Psaras
2017
ACM SIGCOMM ICN Conference
[RFC7950]
[RFC2481]
[RFC3095]
[RFC3031]
[RFC8402]